package com.example.austime.Dessin;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.util.AttributeSet;
import android.view.SurfaceHolder;
import android.view.SurfaceView;

public class BucketView extends SurfaceView implements Runnable {

    final static int MAX = 300;
    static boolean isStarted = false;
    static int time = MAX;

    private SurfaceHolder surfaceHolder;

    public BucketView(Context context) {
        super(context);

        surfaceHolder = getHolder();

        TopChrono();
    }

    public BucketView(Context context, AttributeSet attrs) {
        super(context, attrs);

        surfaceHolder = getHolder();

        TopChrono();
    }

    public BucketView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);

        surfaceHolder = getHolder();

        TopChrono();
    }

    void drawing(Canvas canvas){
        canvas.drawColor(Color.RED);
    }

    private boolean verifIsStarted(){
        return this.time > 0 && this.isStarted;
    }

    private void ini(){
        getHolder().addCallback((new SurfaceHolder.Callback() {
            @Override
            public void surfaceCreated(SurfaceHolder holder) {
                Canvas canvas = holder.lockCanvas(null);
                drawing(canvas);
                holder.unlockCanvasAndPost(canvas);
            }

            @Override
            public void surfaceChanged(SurfaceHolder holder, int format, int width, int height) {

            }

            @Override
            public void surfaceDestroyed(SurfaceHolder holder) {

            }
        }));
    }

    @Override
    public void run() {
        while(this.isStarted) {
            if(getHolder().getSurface().isValid()) {
                Canvas canvas = getHolder().lockCanvas();
                drawing(canvas);
                getHolder().unlockCanvasAndPost(canvas);
                try {
                    Thread.sleep(5);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                    Thread.currentThread().interrupt();
                    this.isStarted = false;
                    return;
                }
            }
        }
    }

    void TopChrono(){
        this.isStarted = true;
    }
}
